import React from 'react'

class RegisterTable extends React.Component {
  constructor () {
    super()
    this.bitmap = {}
    this.table = this.table.bind(this)
  }

  table (registermap, settings) {
    // Generate a table with rows for registers and columns for bits
    let trow = []
    let idx

    const thead = []
    const tbody = []

    for (let idxCol = 0; idxCol < registermap.bitsPerRegister; idxCol += 1) {
      trow.push(<th key={idxCol}>{idxCol}</th>)
    }
    trow.push(<th key={registermap.bitsPerRegister}>Register Name</th>)
    thead.push(<tr key={-1}>{trow}</tr>)

    for (let idxRow = 0; idxRow < registermap.nrOfRegisters; idxRow += 1) {
      trow = []
      for (let idxCol = 0; idxCol < registermap.bitsPerRegister; idxCol += 1) {
        idx = idxRow * registermap.bitsPerRegister + idxCol
        this.bitmap[idx] = ''
        trow.push(<td key={idx} onClick={this.sayMyName}>{this.bitmap[idx]}</td>)
      }
      trow.push(<td key={`inp${idxRow}`}><input ref={input => { this.bitmap[idxRow] = input }} type='text' placeholder={`register${idxRow}`} onChange={this.updateRegister} /></td>)
      tbody.push(<tr key={idxRow}>{trow}</tr>)
    }
    return (
      <table>
        <thead>{thead}</thead>
        <tbody>{tbody}</tbody>
      </table>
    )
  }

  render () {
    return (
     this.table(this.props.registermap, this.props.settingList)
    )
  }
}

export default RegisterTable
