import React from 'react'
import ShowRegistermap from './ShowRegistermap'
import RegistermapList from './RegistermapList'

class Registermap extends React.Component {
  render () {
    // Retrieve the registermapId from the URL
    const { registermapId } = this.props.params
    const { registermapActions } = this.props
    const { registermap, settings } = this.props.registermap

    let registerMap
    if (typeof registermapId !== 'undefined' && registermap && registermap.length > 0) {
      // It the registermapId is defined, check whether there's such a registermap
      registerMap = registermap.find(registermap => { return (registermap.id === registermapId) })
    } else if (registermap && registermap.length > 0) {
      registerMap = registermap[0]
      this.props.router.transitionTo(`/registermap/${registerMap}`)
    }
    console.log('Registermap', registerMap, registermap, settings)

    return (
      <div className='app-main'>
        <div className='app-content'>
          <button onClick={registermapActions.loadSamples}>Load sample data</button>
          {(typeof registerMap !== 'undefined') ? <ShowRegistermap registermap={registerMap} settingList={settings} actions={registermapActions} /> : <p>Please select a registermap.</p>}
        </div>
        <div className='app-aside-left'>
          <p>New Registermap Button</p>
          <p>Registermap List</p>
          {<RegistermapList registermapList={registermap} />}
        </div>
      </div>
    )
  }
}

export default Registermap
