export const registermapList = [{
  id: 'asfsersfashdjkhkfsdf',
  name: 'RF I2C Table',
  description: 'RF I2C Table for the Jungfrau RF receiver.',
  nrOfRegisters: 2,
  bitsPerRegister: 8,
  modes: [
    'GPS only',
    'Multi-GNSS'
  ],
  registers: {
    0: 'iic_lna_ctrl_reg',
    1: 'iic_mxr_ctrl_a_reg'
  }
}, {
  id: 'jljserlsfbsldfsf',
  name: 'RF ADC Table',
  description: 'RF ADC Table for the Jungfrau RF receiver.',
  nrOfRegisters: 2,
  bitsPerRegister: 8,
  modes: [
    'GPS only',
    'Multi-GNSS'
  ],
  registers: {
    0: 'iic_lna_ctrl_reg',
    1: 'iic_mxr_ctrl_a_reg'
  }
}
]

export const settingList = [{
  id: 'sdfsegdfgbcvbcvdfgsg',
  registermap: 'asfsersfashdjkhkfsdf',
  name: 'lna_trim',
  description: 'LNA trimming',
  nrOfBits: 3,
  bitMap: [3, 2, 1],
  comment: '',
  values: {
    func: (value) => `${value * 5}uA`,
    override: {
      7: '150uA'
    }
  },
  range: {
    lower: null,
    upper: null
  },
  resetValue: 0,
  defaultValues: [
    0,
    0
  ]
}, {
  id: 'zdfskehrsdhfskdhfksdhfks',
  registermap: 'asfsersfashdjkhkfsdf',
  name: 'lna_en',
  description: 'LNA bias enable',
  nrOfBits: 1,
  bitMap: [4],
  comment: '',
  values: {
    func: (value) => Math.pow(2, value)
  },
  resetValue: 0,
  defaultValues: [
    1,
    1
  ]
}, {
  id: 'ynmnrkswefhkfhkfsefsg',
  registermap: 'asfsersfashdjkhkfsdf',
  name: 'mxr_trim',
  description: 'Mixer bias current trimming',
  nrOfBits: 5,
  bitMap: [12, 11, 10, 9, 8],
  comment: 'Only trim if you want to',
  values: {
    func: (value) => `${value * 6}uA`,
    override: {
      13: '5mA (boost)'
    }
  },
  resetValue: 0,
  defaultValues: [
    0,
    0
  ]
}]
